CONCALC(1)

NAME
concalc - console calculator

SYNOPSIS
concalc [options] "expression"

concalc -m script "path"

DESCRIPTION
concalc calculates the given input term and returns the result as text. Please use will have problems with the shell interpretor. If you give concalc more than one expression, all expression will be put together.

CALCULATION SYNTAX

standard calculations
    2*(3+4/9)^3

standard operations
    + - * / ^ % sin cos tan asin acos atan sinh cosh tanh asinh acosh atanh ln log & | ! && || ~ >> << x rnd sqrt curt root integ d/dx

square root and cubic root
    sqrt12 curt8

trigonometric functions and logarithms
    sin3.64+ln5

other roots
    fourth root of nine: 4root9

differential calculation
    differential calculation of 2x^2-3x+3 at x=9: d/dx(2x^2-3x+3,9)

integration
    integration of sinx+cosx between -1 and 3.2: integ(sinx+cosx,-1,3.2)

set variables
    save the result of a calculation in variable A: 12*45/2->A

recall variables
    multiply the saved value with 2: A*2

use last result
    The last result is saved in the answer memory: ans+1

CONSTANTS

e   euler constant

pi  pi; example: sin(pi/2)

NUMBERS

standard
    12.34

with exponent
    12.23e-5

complex
    12i-5

OPTIONS

-o, --output [output length]
    The argument is a number between 2 and the maximal possible output length (normally 18).

-m, --mode [calculator mode]
    The mode can be std (default, normal scientific calculatons), base (for logic functions and base-n calculatons) or script (for executing scripts). In scripting mode, the last argument must be the path to the script file.

-c, --complex
    This option enables complex numbers for the calculation. They are switched off by default.

-b, --base [calculator base]
    The argument must be one of hex (hexadecimal), dec (decimal, default), oct (octal) and bin (binary). This option can only be used when -m base is set.

-a, --angle [angle type]
    The argument must be one of deg (degrees), rad (radiant), gra (grade).

-v, --version
    Output the version of Concalc.

-h, --help
    Outputs a short help.

SCRIPTING
The script interpreter of calc uses a C-like programming syntax. The following command are supported.

if expression

    if(condition)

      command for condition true;

    else command for condition false;

while loop

    while(condition)

      command that is run while condition is true;

for loop

    for(initialisation; condition; count-command)
      command that is run while condition is true;

print command

    print( output to print out );

getline command

    getline; // read a text line from stdin and returns this text

getkey command

    getkey; // return the key pressed by the user
            // blocks until the user presses any key

keystate command

    keystate; // returns the key pressed by the user or 0 if no key was pressed
              // nonblocking

sleep command

    sleep( time in microseconds ); //Script is stops for the given time

compare operators

    ==, != equal, unequal

    >=, <=, >, < greather or equal, less or equal, greather, less

set operators

    -> calculator set operator

    = C-like set operator

type converting

    (float) floating point value

    (int) integer value

    (string) text value

    (bool) boolean value

BUGS
No bugs known!

If you find one, please report it by e-mail to the author.

AUTHOR
Rainer Strobel <rainer1223@users.sourceforge.net>

SEE ALSO
http://extcalc-linux.sourceforge.net